Subject: [Gen-art] Gen-Art review of draft-ietf-grow-no-more-unallocated-slash8s-03.txt

From: Alexey Melnikov <[email-masked]>
Date: Wed, 5 Oct 2011 11:26:15 -0700

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft. For background on Gen-ART, please see the FAQ at
<http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>

Please resolve these comments along with any other Last Call comments
you may receive.

Document:  draft-ietf-grow-no-more-unallocated-slash8s-03
Reviewer: Alexey Melnikov
Review Date: 2011-10-05
IETF LC End Date: 2011-10-12
IESG Telechat date:

Summary: The document is ready for publication as a BCP.

Nit: I did find the difference between "bogons" and "martians" to be a bit
confusing: every "bogon" is a "martian", right?

---

From: Leo Vegoda <[email-masked]>
Date: Wed, 5 Oct 2011 11:47:21 -0700

Hi Alexey,

Thanks for reviewing the document.

I suppose I could add back the reference I previously had to RFC 3871 and maybe a new one to RFC 1208 to resolve this one. They defined them like this:

      A "Bogon" (plural: "bogons") is a packet with an IP source address
      in an address block not yet allocated by IANA or the Regional
      Internet Registries (ARIN, RIPE, APNIC...) as well as all
      addresses reserved for private or special use by RFCs.  See
      [RFC3330] and [RFC1918].

Martian: Humorous term applied to packets that turn up unexpectedly
   on the wrong network because of bogus routing entries.  Also used as
   a name for a packet which has an altogether bogus (non-registered or
   ill-formed) Internet address.

So, bogons are generally considered a sub-set of Martians, yes.

Leo

From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexey Melnikov
Sent: Wednesday, October 05, 2011 11:26 AM
To: Leo Vegoda
Cc: [email-masked]; General Area Review Team; The IESG
Subject: Gen-Art review of draft-ietf-grow-no-more-unallocated-slash8s-03.txt

Nit: I did find the difference between "bogons" and "martians" to be a bit confusing: every "bogon" is a "martian", right?

---

From: Alexey Melnikov <[email-masked]>
Date: Wed, 5 Oct 2011 12:20:26 -0700

Hi Leo,

On Wed, Oct 5, 2011 at 11:47 AM, Leo Vegoda <[email-masked]> wrote:

> Hi Alexey,****
>
> ** **
>
> Thanks for reviewing the document. ****
>
> ** **
>
> I suppose I could add back the reference I previously had to RFC 3871 and
> maybe a new one to RFC 1208 to resolve this one. They defined them like
> this:****
>
> ** **
>
>       A "Bogon" (plural: "bogons") is a packet with an IP source address**
> **
>
>       in an address block not yet allocated by IANA or the Regional****
>
>       Internet Registries (ARIN, RIPE, APNIC...) as well as all****
>
>       addresses reserved for private or special use by RFCs.  See****
>
>       [RFC3330] and [RFC1918].****
>
> ** **
>
> Martian: Humorous term applied to packets that turn up unexpectedly****
>
>    on the wrong network because of bogus routing entries.  Also used as***
> *
>
>    a name for a packet which has an altogether bogus (non-registered or***
> *
>
>    ill-formed) Internet address.****
>
> ** **
>

Ok, good.

Yes, I think expanding definitions would improve readability.

Leo****
>
> ** **
>
> *From:* [email-masked] [mailto:
> [email-masked]] *On Behalf Of *Alexey Melnikov
> *Sent:* Wednesday, October 05, 2011 11:26 AM
> *To:* Leo Vegoda
> *Cc:* [email-masked]; General Area Review Team; The IESG
> *Subject:* Gen-Art review of
> draft-ietf-grow-no-more-unallocated-slash8s-03.txt****
>
> ** **
>
> I have been selected as the General Area Review Team (Gen-ART)****
>
> reviewer for this draft. For background on Gen-ART, please see the FAQ at*
> ***
>
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>****
>
> ** **
>
> Please resolve these comments along with any other Last Call comments****
>
> you may receive.****
>
> ** **
>
> Document:  draft-ietf-grow-no-more-unallocated-slash8s-03****
>
> Reviewer: Alexey Melnikov****
>
> Review Date: 2011-10-05****
>
> IETF LC End Date: 2011-10-12****
>
> IESG Telechat date:****
>
> ** **
>
> Summary: The document is ready for publication as a BCP.****
>
> ** **
>
> confusing: every "bogon" is a "martian", right?****
>
> ** **
>